<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text"/>


<xsl:template match="/|*">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="text()|@*">
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="interface">
	abstract class <xsl:value-of select="@name"/>
	{
	<xsl:for-each select="operation">
		<xsl:sort select="@name"/>
		<xsl:text>
		</xsl:text>
		abstract <xsl:value-of select="return/@type"/>
		<xsl:text> </xsl:text>
		<xsl:value-of select="@name"/>()
	</xsl:for-each>
	}
</xsl:template>

</xsl:stylesheet>


<!-- Stylus Studio meta-information - (c)1998-2004. Sonic Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Using XSLT" userelativepaths="yes" externalpreview="no" url="AccountDef.xml" htmlbaseurl="" outputurl="" processortype="internal" profilemode="0" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext=""/></scenarios><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
</metaInformation>
-->