<?xml version='1.0'?>
	<!--
		This is the most basic xslt sheet, the two template matches below are automatically injected into your 
		xslt sheet, by adding these templates into the sheet you override the defaults
	-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text"/>

<!--
	This built-in template rule allows recursive processing to continue in the absence of a successful pattern match 
	by an explicit template rule in the stylesheet. This template rule applies to both element nodes and the root node. 
	The following shows the equivalent of the built-in template rule:	
-->
<xsl:template match="/|*">
	<xsl:apply-templates/>
</xsl:template>

<!--
	There is also a built-in template rule for text and attribute nodes that copies text through:
	
	Try commenting out the xsl statement <xsl:value-of select="."/> to see what happens
-->
<xsl:template match="text()|@*">
	<xsl:value-of select="."/>
</xsl:template>

</xsl:stylesheet>