<?xml version='1.0'?>
	<!--
		This is the most basic xslt sheet, the two template matches below are automatically injected into your 
		xslt sheet, by adding these templates into the sheet you override the defaults
	-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text"/>

<!--
	Try removing the commented out <xsl:apply-templates/> statements one by one.  Notice the results...
-->
<xsl:template match="greeting">
	GREETING ENTRY
	[<xsl:value-of select="name()"/>]
	<xsl:apply-templates/>
	GREETING EXIT
</xsl:template>

<xsl:template match="troy">
	TROY ENTRY
	[<xsl:value-of select="name()"/>]
	<!--xsl:apply-templates/-->
	TROY EXIT
</xsl:template>

<!--
	There is also a built-in template rule for text and attribute nodes that copies text through:
	
	We've added { } around te <xsl:value-of select="."/> statement to show that the CDATA is
	being printed by our template rule.
-->
<xsl:template match="text()|@*">
	{<xsl:value-of select="."/>}
</xsl:template>

</xsl:stylesheet>